// OrderClient.java
// mini Client for accessing bean Order

package org.objectweb.jonas.stests.appli;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;

/**
 *
 */
public class OrderClient {

    static Context ctx = null; 
    static OrderHome home = null;

    public static void main(String[] arg) {

	// Get InitialContext
	try {
	    ctx = new InitialContext();
	} catch (NamingException e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// Lookup bean home 
	String bName = "OrderHome";
	try {
	    home = (OrderHome) PortableRemoteObject.narrow(ctx.lookup(bName), OrderHome.class);

	} catch(Exception e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// ...
    }
}
